System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.WebControl System.ComponentModel.Designer("System.Web.UI.Design.WebControls.HyperLinkDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.DefaultProperty("Text") System.Web.UI.ToolboxData("<{0}:HyperLink runat="server">HyperLink</{0}:HyperLink>") System.Web.UI.ParseChildren(false) System.Web.UI.DataBindingHandler("System.Web.UI.Design.HyperLinkDataBindingHandler, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.Web.UI.ControlBuilder(typeof(System.Web.UI.WebControls.HyperLinkControlBuilder)) Represents a link of the html page and presents it in text representation or with an image. It takes care of the relative paths.

shows a link (yes, those that you know widely from the web). It resolves the relative path names and translate it to a relative path in terms of the root of the website.

Use it widely instead of plain html tags. One benefit is that you'll be able of managing the link programatically, and will be able to detect broken links. Of course, you'll have to program DetectBrokenLinks() first :-)

There could be some thoughts such as "why should I use it, since I could use a flat html?". Well, provides some nice features, and especially one that many web developers were missing: The handling of relative and/or absolute path names. When I develop a website in my machine, I never use the root of the webserver, because it would left unusable for other projects. Rather, I use a subdirectory or a user path; thus, locally my website is something like http://localhost/mywebsite/ or http://localhost/~me/mywebsite/. Later I deploy it to the root of http://www.mywebsite.com, and here I have the problem: The path to aage in my machine is /mywebsite/images/goofy.jpg, but in the website, it becomes /images/goofy.jpg. Well, using an object I don't have to worry about it any more: I just set the hyper-reference to relative paths (images/goofy.jpg, goofy.jpg, ./images/goofy.jpg or ../../../images/goofy.jpg) and the ASP.NET engine will translate it to the correct representation.

- Constructor
  Creates a HyperLink object.
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String Gets or sets the url of the image. Relative or full path location of the image currently displayed in the . The location of the image is relative to the running script. For an included web control (ascx file), the location is relative to the ascx file, not the calling page. 1.0.5000.0 2.0.0.0 System.Web.UI.UrlProperty System.ComponentModel.Editor("System.Web.UI.Design.ImageUrlEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor)) System.ComponentModel.DefaultValue("") System.ComponentModel.Bindable(true)
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String Get/set the location of the link. Location of the link. If the is written down in a control page (ascx file), the link will be relative to the location of it, not to the calling page. 1.0.5000.0 2.0.0.0 System.Web.UI.UrlProperty System.ComponentModel.Editor("System.Web.UI.Design.UrlEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor)) System.ComponentModel.DefaultValue("") System.ComponentModel.Bindable(true)
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String Get/set the frame's name that should be used for displaying the page set by the property. Frame's name for displaying the link. 1.0.5000.0 2.0.0.0 System.ComponentModel.TypeConverter(typeof(System.Web.UI.WebControls.TargetConverter)) System.ComponentModel.DefaultValue("")
- Property
  System.String Text sent to the browser as the explaining label of the (the text we all see in the hyperlinks). Text of the anchor. The will be shown in form of text if the property is not set, using the property. If is set, the image will be displayed, but will be used as the alternative representation (typically the 'alt' attribute of the 'img' tag in html). 1.0.5000.0 2.0.0.0 System.ComponentModel.Localizable(true) System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerDefaultProperty) System.ComponentModel.DefaultValue("") System.ComponentModel.Bindable(true)